## Diagnostic aggregator parameters for testing Velodyne diagnostics.
#
#  $ rosparam load $(rospack find velodyne_driver)/tests/diagnostic_agg.yaml
#  $ rosrun diagnostic_aggregator aggregator_node
#
diagnostic_aggregator:
  analyzers:
    sensors:
      type: diagnostic_aggregator/AnalyzerGroup
      path: Sensors
      analyzers:
        velodyne:
          type: diagnostic_aggregator/GenericAnalyzer
          path: Velodyne HDL
          timeout: 5.0
          find_and_remove_prefix: velodyne_nodelet_manager
          num_items: 1
